# OsmAnd routing.xml for Inline Skating

This file adds a new option to the bicycle mode
to tweak the routing algorithm for inline skating:

![Inline skates mode](inline-skates-mode.png)

The basic principle is to avoid non-smooth surfaces by all means.
Primary roads can be used, but the algorithm should look for
nicer routes.

It seems to work pretty well, however, beware of steep segments.

Just copy the file to the OsmAnd folder.
Also see a [Google Group discussion](https://groups.google.com/forum/#!topic/osmand/JmMQ0bQV68I).

The original `routing.xml` [is on GitHub](https://github.com/osmandapp/OsmAnd-resources/blob/master/routing/routing.xml).

## Uncertainties

* OSM's [`tracktype`](http://wiki.openstreetmap.org/wiki/Key:tracktype)
and [`smoothness`](http://wiki.openstreetmap.org/wiki/Key:smoothness)
seem to be redundant somehow…
* It seems to be impossible to add a completely new
["application mode"](https://github.com/osmandapp/Osmand/blob/master/OsmAnd/src/net/osmand/plus/ApplicationMode.java)
without programming.
